CGAL 6.1.2 - 3D Isosurfacing: CGAL::Isosurfacing::Gradient_function_3< Partition > Class Template Reference

CGAL 6.1.2 - 3D Isosurfacing

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Isosurfacing::Gradient_function_3< Partition > Class Template Reference
Reference Manual » Value and Gradient Fields

`#include <CGAL/Isosurfacing_3/Gradient_function_3.h>`

## Definition

template<typename Partition>
class CGAL::Isosurfacing::Gradient_function_3< Partition >

The class `Gradient_function_3` represents a field of vectors computed using a user-provided unary function.

Is model of
  `IsosurfacingGradientField_3`

Template Parameters

  Partition | must be a model of `IsosurfacingPartition_3`

See also
  `CGAL::Isosurfacing::Dual_contouring_domain_3`

Examples
  Isosurfacing_3/contouring_implicit_data.cpp, Isosurfacing_3/contouring_octree.cpp, and Isosurfacing_3/dual_contouring.cpp.

## Public Types
using | Geom_traits = typename Partition::Geom_traits
using | Point_3 = typename Geom_traits::Point_3
using | Vector_3 = typename Geom_traits::Vector_3
using | PT = partition_traits< Partition >
using | vertex_descriptor = typename PT::vertex_descriptor

## Public Member Functions
template<typename Function >
| Gradient_function_3 (const Function &fn, const Partition &partition)
| constructs a field of gradients using a gradient function and a partition.
Vector_3 | operator() (const Point_3 &p) const
| returns the value of the function at the point `p`.
const Vector_3 & | operator() (const vertex_descriptor &v) const
| returns the value of the function at the vertex `v`.

## Constructor & Destructor Documentation

## ◆ Gradient_function_3()

template<typename Partition >
template<typename Function >

CGAL::Isosurfacing::Gradient_function_3< Partition >::Gradient_function_3 | ( | const Function & | fn,
|  | const Partition & | partition
| ) |  |

constructs a field of gradients using a gradient function and a partition.

Template Parameters

  Function | must provide the following function signature: `Vector_3 operator()(const Point_3&) const`

Parameters

  fn | the function providing gradients
  partition | the space partitioning data structure